Bug 142924 - Empty area when opening comment popup menu in Writer for the first time
Summary: Empty area when opening comment popup menu in Writer for the first time
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0.0.beta2 target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 Writer-Comments Weld-Writer-Comments
  Show dependency treegraph
 
Reported: 2021-06-17 21:47 UTC by Aron Budea
Modified: 2021-11-02 01:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-06-17 21:47:51 UTC
In a document, add a comment, and open its popup menu in the bottom right corner.

=> Note how the popup menu is longer than the items, and have some empty space at the end.
When opening the popup a second time, it looks fine.
Also fine with gen VCL plugin, so I'm assuming it only affects GTK3.

Observed in LO Version: 7.2.0.0.beta1+ (d376297c643785564e7bda1a74b573c35ade6cb8) / Ubuntu.
Fine in 7.1.0.3.

Regression is from the following commit. Adding CC: to Caolán McNamara.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=69c546e1e7a697217f273baa7c1729ff823efd76
author		Caolán McNamara <caolanm@redhat.com>	2020-12-04 16:30:31 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2021-02-06 12:16:04 +0100

weld annotation window
Comment 1 Caolán McNamara 2021-06-18 07:52:06 UTC
This first-time blank area doesn't happen with gtk under wayland, but does appear with GDK_BACKEND=x11
Comment 2 Caolán McNamara 2021-06-18 09:26:21 UTC
the menu entries are shown/hidden after the menu is popped up, we'd prefer to do that a little earlier before the menu appears
Comment 3 Commit Notification 2021-06-18 13:07:32 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/4895e825b9fb40c2df272f910a9fe14e545a7c99

tdf#142924 "toggled" is too late to use to populate changes to the menu

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-06-18 15:00:29 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/95a327846aa12474cc982b275a9ad7dec16841b5

tdf#142924 "toggled" is too late to use to populate changes to the menu

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Aron Budea 2021-06-18 18:15:48 UTC
Looks good in LO Version: 7.3.0.0.alpha0+ (51754ca5349d7bf655d57ded37381188d0bc4bcf) / Ubuntu.
Thanks for fixing, Caolán.